Summary:        Python fixtures and daemon managing tools for functional testing
Name:           python-pifpaf
Version:        3.1.5
Release:        5%{?dist}
License:        Apache-2.0
URL:            https://github.com/jd/pifpaf
Source0:        https://github.com/jd/pifpaf/archive/refs/tags/%{version}.tar.gz

BuildRequires:  git

BuildArch:      noarch

%description
Pifpaf is a suite of fixtures and a command-line tool that allows to
start and stop daemons for a quick throw-away usage. This is typically
useful when needing these daemons to run integration testing. It 
originaly evolved from its precussor overtest.

%package -n python3-pifpaf
Summary:        Python fixtures and daemon managing tools for functional testing
BuildRequires:  python3-devel python3-setuptools python3-pbr python3-pip python3-wheel
BuildRequires:  python3-daiquiri python3-click python3-jinja2 python3-fixtures
BuildRequires:  python3-psutil python3-xattr python3-uwsgidecorators
Requires:       python3-daiquiri python3-click python3-pbr python3-jinja2
Requires:       python3-fixtures python3-psutil python3-xattr python3-uwsgidecorators
Provides:       python-pifpaf

%description -n python3-pifpaf
Pifpaf is a suite of fixtures and a command-line tool that allows to
start and stop daemons for a quick throw-away usage. This is typically
useful when needing these daemons to run integration testing. It 
originaly evolved from its precussor overtest.

%prep
%autosetup -n pifpaf-%{version}

%build
export PBR_VERSION=%{version}
%py3_build

%install
export PBR_VERSION=%{version}
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}

%files -n python3-pifpaf
%{_docdir}/*
%{_bindir}/pifpaf
%{python3_sitelib}/pifpaf
%{python3_sitelib}/*.egg-info

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.5-5
- Rebuilt for loongarch release

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.5-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.5-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.5-2
- Rebuilt for OpenCloudOS Stream 23.05

* Thu Apr 13 2023 Miaojun Dong <zoedong@tencent.com> - 3.1.5-1
- initial build
